# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

Summary: Scripts launched by system on suspend and resume
Name: suspend-scripts
Version: 1.26
Release: %mkrel 1
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Provides: apm-scripts
Obsoletes: apm-scripts
Provides: suspend-scripts-force
Obsoletes: suspend-scripts-force
Requires: lsof, usermode-consoleonly, hdparm
%ifarch %{ix86} x86_64
Requires: vbetool
%endif
Requires: wltool
Url: https://cvs.mandriva.com/svn/soft/suspend-scripts/trunk/
BuildArchitectures: noarch

%description
Suspend-Script is launched by apm or acpid on resume and suspend, it
start or stop your network/sound etc... to make sure that everything
work after hybernation of your computer.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

chmod 755 contrib/*.sh

rm -f $RPM_BUILD_ROOT/etc/acpi/events/lid

# moved to laptop-mode-tools
rm -f $RPM_BUILD_ROOT/etc/acpi/events/ac_adapter
rm -f $RPM_BUILD_ROOT/etc/acpi/actions/battery.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog contrib/*
%dir /etc/sysconfig/suspend-scripts/suspend.d/
%dir /etc/sysconfig/suspend-scripts
%config(noreplace) /etc/sysconfig/suspend
/etc/sysconfig/suspend-scripts/suspend.d/*
%dir %{_datadir}/suspend-scripts
%{_datadir}/suspend-scripts/run_scripts
%{_datadir}/suspend-scripts/swsusp.functions
%config(noreplace) /etc/acpi/events/*
%dir /etc/acpi/actions
%dir /var/run/pm/
%{_sbindir}/pmsuspend
%{_bindir}/pmsuspend
/sbin/hibernate-cleanup.sh
%config(noreplace) /etc/security/console.apps/pmsuspend
%config(noreplace) /etc/pam.d/pmsuspend

%changelog
* Fri Sep 22 2006 Olivier Blin <oblin@mandriva.com> 1.26-1mdv2007.0
- check for both X and Xorg processes (from Guillaume Rousse, #25323)

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com> 1.25-1mdv2007.0
- add hibernate-cleanup.sh (#25595), from 
  http://svn.suspend2.net/hibernate-script/trunk/init.d/hibernate-cleanup.sh

* Tue Sep 12 2006 Olivier Blin <oblin@mandriva.com> 1.24-1mdv2007.0
- from Per yvind Karlsen:
  support changing of vt when wltool is being used

* Tue Sep 12 2006 Olivier Blin <oblin@mandriva.com> 1.23-1mdv2007.0
- wltool support in video script (Per yvind Karlsen, #24918)
- RELOAD_MODULES support (mostly from Guillaume Rousse, #25324)
- check for Xorg, not X (from Guillaume Rousse, #25323)
- require wltool (#24918)

* Thu Aug  3 2006 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2007.0
- from Vincent Panel:
  o reboot with the same kernel when suspending to disk (#18445)

* Tue Jul 25 2006 Olivier Blin <oblin@mandriva.com> 1.21-2mdv2007.0
- require vbetool for x86 and x86_64 only
  (thanks to Danny Tholen for the suggestion)

* Tue Jul 25 2006 Olivier Blin <oblin@mandriva.com> 1.21-1mdv2007.0
- from Pascal Terjan:
  o use fgconsole to get the active VT (#21966)
  o allow to run vbetool post (#21966)

* Tue Jun 27 2006 Olivier Blin <oblin@mandriva.com> 1.20-1mdv2007.0
- add /var/run/pm back (#23394)

* Wed Jun 21 2006 Olivier Blin <oblin@mandriva.com> 1.19-1mdv2007.0
- call poweroff directly on power button event, we don't need the lock
  workaround anymore (since the kernel hides the power event for
  us on resume)

* Fri Mar 17 2006 Olivier Blin <oblin@mandriva.com> 1.18-1mdk
- automatic waking up support (from Pierre Palatin, #21645)

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 1.17-1mdk
- merge suspend-scripts-force package back in suspend-scripts, and
  drop pmsuspend2 (#5698)
- don't wait for cards removal when PCMCIA_BIOS_BUG is not set to yes (#20553)
- suspend.d/xlock:
  o lock the screen before resume, lock other displays even when one is
    using KDE, try locking with xscreensaver even if it is not yet
    started, try locking with xlock in all other cases (Pascal Terjan, #20158)
  o prompt the user to unlock on resume (Pascal Terjan, #20158)
  o handle gnome-screensaver and list open sessions by looking for s2u instances
    (Pascal Terjan, #20158)
  o xautolock support (Eskild Hustvedt, #20158)
  o fix unclosed if
- restart NFS by default (#21427)
- handle suspend.d scripts in new /usr/share/suspend-scripts/run_scripts
- move swsusp functions in /usr/share/suspend-scripts/swsusp.functions
- merge suspend.control in pmsuspend

* Fri Mar 10 2006 Olivier Blin <oblin@mandriva.com> 1.16-1mdk
- use /sys/power/state instead of deprecated /proc/acpi/sleep
  (but in the pmsuspend2 script this time, #21552)

* Mon Feb 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.15-1mdk
- don't restart unstarted services (#20159)
- enable to alter PCMCIA timeout (#20553)
- on resuming, restart:
  o athcool
  o MySQL (while we got kernel-2.6.16 (actually rc2-mm1), #11913)
- use /sys/power/state instead of deprecated /proc/acpi/sleep (blino)

* Fri Jan  6 2006 Olivier Blin <oblin@mandriva.com> 1.14-1mdk
- use pcmciautils pccardctl if available and kernel offers PCMCIA
  sysfs support (Andrey Borzenkov, #20497)
- replace hardcoded /etc/modules.conf with "modprobe -c" and parse for
  modprobe "install" too (Andrey Borzenkov, #20497)

* Fri Jan  6 2006 Olivier Blin <oblin@mandriva.com> 1.13-1mdk
- really restart the ntpd service, not xntpd (Andrey Borzenkov, #20490)

* Wed Nov 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.12-1mdk
- merge patch 0

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11-2mdk
- patch 0: fix resuming when HAL is enabled
  (http://bugzilla.kernel.org/show_bug.cgi?id=4919)

* Mon Oct 10 2005 Frederic Lepied <flepied@mandriva.com> 1.11-1mdk
- modifications from Michael Reinsch to use vbetool (bug #18069)
- use kill -STOP/-CONT for X server (bug ##17930)

* Thu Oct  6 2005 Frederic Lepied <flepied@mandriva.com> 1.10-1mdk
- don't poweroff when coming back from a suspend (bug #18998)

* Fri Aug 12 2005 Frederic Lepied <flepied@mandriva.com> 1.9.2-1mdk
- removed acpi files for laptop-mode (will be in laptop-mode-tools)

* Sat Aug  6 2005 Frederic Lepied <flepied@mandriva.com> 1.9.1-1mdk
- remove laptop-mode files from the package

* Fri Aug  5 2005 Frederic Lepied <flepied@mandriva.com> 1.9-1mdk
- use laptop_mode from the laptop-mode-tools package

* Tue Apr 19 2005 Olivier Blin <oblin@mandriva.com> 1.8.9-1mdk
- ship pmsuspend it in the new suspend-scripts-force package

* Mon Apr 18 2005 Olivier Blin <oblin@mandriva.com> 1.8.8-1mdk
- fix kde session detection

* Thu Mar 17 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.7-3mdk
- kill alsa apps too if RESTART_SOUND is set to yes

* Thu Mar 10 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.7-2mdk
- only start services enabled in curent runlevel on resume (#14301)
- from Michael Reinsch
  o restart pcmcia and network before services (#14300)
  o restart mDNSResponder service (#14301)
  o restore clock earlier (#14305)
  o restart cpufreq and cpufreqd services too (#14306)

* Fri Mar  4 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.7-1mdk
- support more AC adapters (AC, ACAD, ADP1) (#11864)

* Wed Feb 23 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.6-1mdk
- from Michael Reinsch (#8220):
  o pass extra params to suspend.control when using acpi
  o allow pmsuspend2 to suspend to ram (with the "memory" argument)
  o suspend to ram on sleep events

* Tue Feb 22 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.5-1mdk
- start X locking program in background, not to block suspend (#3942)
- handle debug="yes" from sysconfig (#13885)
- handle /var/lib/pcmcia/stab in suspend.d/pcmcia (#13890)

* Tue Feb 22 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.4-1mdk
- fix anacron service restart, list it in RESTART_SERVICES (#6291)

* Mon Feb 21 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.3-1mdk
- really use RESTART_PCMCIA from sysconfig in suspend.d/pcmcia (#13853)

* Fri Feb 11 2005 Olivier Blin <oblin@mandrakesoft.com> 1.8.2-1mdk
- allow to set debug in /etc/sysconfig/suspend (#3943)
- ignore .rpmorig files in suspend.d/ (#3943)

* Wed Sep 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-1mdk
- switch to 5 mn spindown time in battery mode to work better
  with slow disks.

* Fri Aug  6 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.8-1mdk
- battery.sh: activate throttling support
- do not provide acpi/events/lid as pmsuspend isn't stable enough

* Fri Jun 11 2004 Robert Vojta <robert.vojta@mandrake.org> 1.7-3mdk
- CVS synchronization (.src.rpm tarball & MDKSoft CVS)
- added missing pmsuspend.pam & ac_battery ACPI event file

* Fri Jun 11 2004 Robert Vojta <robert.vojta@mandrake.org> 1.7-2mdk
- acpi/events/lid should use pmsuspend2, not pmsuspend (#10011)
- /etc/sysconfig/* files are listed once in the %%files section 

* Mon Apr 26 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.7-1mdk
- added support for laptop_mode
- suspend.sh 0.18

* Thu Mar 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-4mdk
- Requires usermode-consoleonly, not usermode

* Thu Sep 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-3mdk
- corrected power button alternative naming

* Mon Sep 15 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-2mdk
- renamed pmsuspend

* Thu Aug 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-1mdk
- added consolehelper support

* Mon Mar 24 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-1mdk
- suspend-scripts.spec, contrib/README.scripts, contrib/acpi.sh,
  contrib/battery.sh, contrib/suspend.sh: Add contrib script
  from official SoftWare suspend pages
- suspend.d/usb: Relaunch /sbin/hotplug usb at resume. (#3499).

* Mon Mar 10 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4-1mdk
- suspend.sysconfig: Add apm specific config (#2982).
- suspend.control: Use -lt instead of < in check_ram() and fix
  mispell. (#2902)
- suspend.control: Sync after every launch.
- suspend.d/services: Add suspend: resume: tag..

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.3-1mdk
- added acpid script to shutdown

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-1mdk
- suspend.d/xfree: Don't loop infinitely when we don't have
  xscreensaver or kdeinit launched.
- Let User can specify to use /proc/sys/kernel/swsusp.

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-1mdk
- Add APM support.

* Mon Feb  3 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First release.


# end of file
